Subject: Re: MPC850 SIMASK Settings

From: Dan Malek <[email-masked]>
Date: Sun, 22 Oct 2000 23:01:11 -0400

Chris Hallinan wrote:
>
> I'm having trouble disabling an external interrupt (IRQ7).

Why are you trying to do this directly instead of letting the
generic Linux functions do it for you?  All you should have to
do is set edge/level in SIEL.  The rest is already managed.

If an interrupt handler is installed for this interrupt, it
will be allowed to happen.  If the handler is removed, it will
be permanently masked.

	-- Dan

--

	I like MMUs because I don't have a real life.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/